#!/bin/bash -ex

function mkdir_and_chmod {
  sudo mkdir -p $1
  sudo chmod 777 $1
}

mkdir_and_chmod .devcontainer/data/prometheus
mkdir_and_chmod .devcontainer/data/grafana
echo "Path: $PATH"
echo "Ruby: $(which ruby)"
echo "Gem: $(which gem)"
echo "Bundler: $(which bundler)"
echo "Rake: $(which rake)"

bundle install --jobs $(getconf _NPROCESSORS_ONLN)
rbenv rehash

bin/rails yarn:install
yarn

yarn add --dev prettier @prettier/plugin-ruby
